### Function

# Pango.markup_parser_finish

#### Declaration [src]

    gboolean
    pango_markup_parser_finish (
      GMarkupParseContext* context,
      PangoAttrList** attr_list,
      char** text,
      gunichar* accel_char,
      GError** error
    )

#### Description [src]

Finishes parsing markup.

After feeding a Pango markup parser some data with `g_markup_parse_context_parse()`, use this function to get the list of attributes and text out of the markup. This function will not free `context`, use `g_markup_parse_context_free()` to do so.

#### Parameters

`context` | `GMarkupParseContext*`
| A valid parse context that was returned from `pango_markup_parser_new()`
| Ownership is not transferred to the callee
`attr_list` | `PangoAttrList`
| address of return location for a `PangoAttrList`, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
`text` | `char**`
| address of return location for text with tags stripped, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee
| The string is a NUL terminated UTF-8 string
`accel_char` | `gunichar*`
| address of return location for accelerator char, or `NULL`
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`FALSE` if `error` is set, otherwise `TRUE`